=== demos/Makefile ===
all: 
	cd sample; \
	make
	cd spinning; \
	make
	cd falling; \
	make

clean: 
	cd sample; \
	make clean
	cd spinning; \
	make clean
	cd falling; \
	make clean
